using SqlSugar;
using System;

namespace Waste.Domain
{
    /// <summary>
    /// 设备信息
    /// </summary>
    [SugarTable("W_DeviceData", TableDescription = "设备信息", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class W_DeviceData
    {
        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid DeviceId { get; set; }

        /// <summary>
        /// ICCID
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "ICCID")]
        public string ICCID { get; set; }

        /// <summary>
        /// IMEI
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "IMEI")]
        public string IMEI { get; set; }
        /// <summary>
        /// SIM卡IMSI
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "SIM卡IMSI")]
        public string IMSI { get; set; }

        /// <summary>
        /// 经度
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "经度")]
        public string Longitude { get; set; }

        /// <summary>
        /// 纬度
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "纬度")]
        public string Latitude { get; set; }

        /// <summary>
        /// 最近心跳时间
        /// </summary>
        [SugarColumn(IsNullable =true, ColumnDescription = "最近心跳时间")]
        public DateTime? LastBeatTime { get; set; }

        /// <summary>
        /// 最近开机时间
        /// </summary>
        [SugarColumn(IsNullable =true, ColumnDescription = "最近开机时间")]
        public DateTime? LastStartTime { get; set; }

        /// <summary>
        /// 信号强度
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(100)", ColumnDescription = "信号强度")]
        public string Sign { get; set; }

        /// <summary>
        /// 设备最新的app版本号
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "设备最新的app版本号", IsNullable =true)]
        public string Version { get; set; }
    }
}
